"""

  Copyright 2005 Mikko Ohtamaa

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as described
  in licence.txt

"""

# Note that these permissions will be removed in the future versions.
# It was a bad idea to try to use custom permissions and roles.
# Plone's own permissions are sufficient. 

from Products.CMFCore import CMFCorePermissions

# Add applications Issue/Application
# Note that we have separated Application/Issue creation permissions from 
# Issue edit permissions, since workflow cannot manage security correctly otherwise
# (member inherits EDIT_USABILITY_ITEMS_PERMISSION from Application and thus is able to edit
#  sealed applications)
ADD_ISSUES_PERMISSION = 'Usability: Add Applications and Issues'

# Edit Issue/Application
EDIT_USABILITY_ITEMS_PERMISSION = 'Usability: Edit Item'

# View Issue/Application
VIEW_USABILITY_ITEMS_PERMISSION = 'Usability: View Item'

# Delete Issue/Application
DELETE_USABILITY_ITEMS_PERMISSION = 'Usability: Delete Item'

# Add Application Category
MANAGE_USABILITY_ITEMS_PERMISSION = 'Usability: Manage Usability Database'